Subject: bug#61514: 30.0.50; sadistically long xml line hangs emacs

From: Gregory Heytings <[email-masked]>
Date: Wed, 15 Feb 2023 13:58:37 +0000

>
> It sounds like the bug lies somewhere in the intersection of nXML and 
> the new long line fontification handling in Emacs 29 (with narrowing, 
> perhaps)?
>

Yes, it's an example in which the cure of narrowing around 
fontification-functions could be considered worse than the disease.  In 
this particular case however, the fontification routines already failed to 
do their job in Emacs 28 (and 24, 25, 26 and 27): after opening this file, 
errors are displayed in the echo area, and the buffer remains unfontified.